/*
File:			custom.css
Description:	Custom styles for Thesis

BASIC USAGE:

If you have enabled the custom stylesheet in the Thesis options panel, the <body> tag 
will be appended with the "custom" class, like so: <body class="custom">. You can use 
the "custom" class to override *any* CSS declarations contained in the style.css file.

For example, if you wish to change the default link color to green, you would add the 
following declarations to this file:

	.custom a, .custom a:visited { color: #090; }	<--- This makes links green
	.custom a:hover { color: #00f; }	<--- This makes links blue when you mouse over them

WHY THIS WORKS:

By using the "custom" class, you are creating more specific CSS declarations for HTML
elements. CSS styling is applied through rules of specificity, and because declarations
prepended with .custom are more specific, they get applied when the page is rendered!

More information about styling your Thesis installation using this file can be found
in the User's Guide:
	http://diythemes.com/thesis/rtfm/customizing-thesis-with-customcss/
*/

* { padding: 0; margin: 0;}

body { margin-top: 25px; }
body.contests { background: #cc0000 url('http://www.gpsfortoday.com/news/wp-content/uploads/2010/03/earthred.gif') top center no-repeat; }
body.gps-videos { background: #177eab url('http://www.gpsfortoday.com/news/wp-content/uploads/2010/03/earthblue.gif') top center no-repeat; }
body.news { background: #8ac300 url('http://www.gpsfortoday.com/news/wp-content/uploads/2010/03/earthgreen.gif') top center no-repeat; }

#container { width: 100.1em; }

/*---:[ core layout elements ]:---*/
#header { border-style: double; border-color: #ddd; clear: both; overflow: auto; padding-bottom: 10px; }
	#column_wrap { float: left;  }
	.post_box, .teasers_box { border-style: dotted; border-color: #bbb; clear: both; }
		.teaser { float: left; }
		.teaser_right { float: right; }
	.top { border: none; }
		#sidebars { border-style: solid; border-color: #ddd; width: 27.2em;}
			#sidebar_1 { border-style: dotted; border-color: #ddd; }

.menu { margin-left: 1.1em; }

a { color: #777777; }
a:hover { color: #000000; background-color: #efefef; }

#footer { border-style: double; border-color: #ddd; text-align: right; clear: both; }

/*---:[ global elements ]:---*/
a, a:hover { text-decoration: none; }
a.post_image_link { outline: none; }
a img { border: none; }
blockquote { border-left: 1px solid #ddd; color: #666; }
abbr, acronym { line-height: 1em; text-transform: uppercase; letter-spacing: 1px; border-bottom: none; cursor: help; }
code { line-height: 1em; background: #eee; }
pre { background: #eee; border: 1px solid #ddd; overflow: auto; clear: both; }
p.center { text-align: center !important; }
p.bottom { margin: 0 !important; }
.remove_bottom_margin { margin-bottom: 0 !important; }

/*---:[ form inputs ]:---*/
input, textarea { font-size: 1em; color: #444; background: #eee; border: 1px solid #aaa; border-right-color: #ddd; border-bottom-color: #ddd; }
input:focus, textarea:focus { background: #fff; border-color: #777; border-right-color: #ccc; border-bottom-color: #ccc; }
	.sidebar .text_input { width: 95%; }
	input.form_submit { font-weight: bold; color: #111; background: url('lib/images/submit-bg.gif'); border: 3px double #999; border-top-color: #ccc; border-left-color: #ccc; cursor: pointer; width: auto !important; overflow: visible; }
        input.form_submit { color: #777777; }
        .contests input.form_submit { color: #cc0000; }
        .news input.form_submit { color: #8ac300; }
        .videos input.form_submit { color: #177eab; }
	#commentform input.form_submit { border-width: 3px; }
	input.form_submit:hover { color: #000000; }

/*---:[ universal image classes ]:---*/
img.alignleft, img.left { float: left; }
img.alignright, img.right { float: right; }
img.aligncenter, img.center { display: block; margin-right: auto; margin-left: auto; float: none; clear: both; }
img.alignnone, img.block { display: block; clear: both; }
img.frame { background: #eee; border-style: solid; border-color: #ddd; }
img.stack { clear: none !important; }
img[align="left"] { float: left; clear: left; }
img[align="right"] { float: right; clear: right; }
img[align="middle"] { display: block; margin-right: auto; margin-left: auto; float: none; clear: both; }

/*---:[ image captioning ]:---*/
.wp-caption { border-style: solid; border-color: #ddd; background-color: #eee; text-align: center; font-style: italic; }
	.wp-caption.alignleft { float: left; }
	.wp-caption.alignright { float: right; }
	.wp-caption.aligncenter { margin-right: auto; margin-left: auto; float: none; clear: both; }
	.wp-caption.alignnone { clear: both; }

/*---:[ headlines and bylines ]:---*/
h1, h2, h3, h4, h5, h6 { font-family: 'Trebuchet MS', Trebuchet, sans-serif; }
.format_text h3 { font-size: 14px; letter-spacing: 0; }
h1, h2, h3, h4, h5, h6 { font-weight: bold; }
h5, h6 { text-transform: uppercase; }
.format_text h2 { font-weight: bold; }
.format_text h2.top, .format_text h3.top { margin-top: 0 !important; }
.sidebar h3 { letter-spacing: 2px; text-transform: uppercase; font-size: 11px; font-weight: bold; }

img.logo {
    float: left;
    margin-right: 12px;
}

h1.tagline {
    font-family: Georgia;
    font-style: italic;
    float: left;
    margin: 68px 0 0 7px;
    font-weight: normal;
    font-size: 18px;
}

h2.entry-title a:hover { color: #555555; }

/*---:[ headline meta data (includes bylines) ]:---*/
.headline_meta { font-style: italic; }
	.headline_meta span, .headline_meta abbr { font-style: normal; text-transform: uppercase; letter-spacing: 1px; }
	.headline_meta a { border-bottom: 1px solid #eee; }

/*---:[ horizontal dropdown nav menu structure ]:---*/
.menu { position: relative; list-style: none; z-index: 50; }
	.menu li { position: relative; float: left; }
		.menu ul { position: absolute; visibility: hidden; list-style: none; z-index: 110; }
			.menu ul li { clear: both; }
		.menu a { display: block; }
	.menu table { position: absolute; left: 0; border-collapse: collapse; }
		.menu table table { top: 0 !important; }
		.menu ul ul { position: absolute; top: 0; }
	.menu li:hover ul, .menu a:hover ul, .menu :hover ul :hover ul, .menu :hover ul :hover ul :hover ul { visibility: visible; }
	.menu :hover ul ul, .menu :hover ul :hover ul ul { visibility: hidden; }

/*---:[ nav menu styles ]:---*/
.menu, .menu a, .menu li ul { border-style: solid; border: none; }
	.menu a { text-transform: uppercase; letter-spacing: 2px; }
	.menu .current > a, .menu .current-cat > a { cursor: text; }
		.menu .rss { float: right; background-image: none; }
		.menu .rss a, .menu .rss a:hover { background-image: none; }
		.menu .rss a:hover { text-decoration: underline; color: #000000; }

.menu a, .menu .rss a, .menu .rss a:hover { padding: 0.636em 0.818em; background-color: #ffffff; }

/*---:[ #header styles ]:---*/
#logo { font-weight: bold; }
#tagline { font-weight: normal; }

/*---:[ content styles ]:---*/
.format_text a { text-decoration: underline; }
.format_text a:hover { text-decoration: none; }
.format_text p.note { background: #f5f5f5; border: 1px solid #ddd; }
.format_text p.alert { background: #ffffa0; border: 1px solid #e5e597; }
.format_text .drop_cap { color: #888; float: left; }
.format_text ul { list-style: square; }
.format_text dt { font-weight: bold; }
	/*---:[ pullquotes ]:---*/
	.format_text blockquote.right, .format_text blockquote.left { border: none; }
	.format_text blockquote.right { float: right; }
	.format_text blockquote.left { float: left; }
		.format_text blockquote.right p, .format_text blockquote.left p { margin: 0; }
	/*---:[ end pullquotes ]:---*/
.format_text .ad { float: right; clear: right; }
.format_text .ad_left { float: left; clear: left; }

.about #content p { line-height: 32px; }

#content { width: 68.4em; }

/*---:[ after-post elements ]:---*/
.format_text .to_comments { color: #666; clear: both; }
	.format_text .to_comments span { color: #111; line-height: 1em; }
	.format_text .to_comments span.bracket { color: #ccc; }
	.format_text .to_comments a { color: #666; text-decoration: none; }
	.format_text .to_comments a:hover { color: #111; text-decoration: underline; }

/*---:[ tags are not targeted further because these styles need to cascade to teasers as well ]:---*/
.post_tags { color: #666; }
	.post_tags a { text-decoration: none; }
	.post_tags a:hover { text-decoration: underline; }

/*---:[ feature box ]:---*/
#feature_box { background: #eee; border-style: solid; border-color: #ddd; }

/*---:[ home page teasers ]:---*/
.teaser a.teaser_link:hover { text-decoration: underline; }
.teaser .teaser_author { font-style: italic; }
	.teaser .teaser_author .author { font-style: normal; text-transform: uppercase; letter-spacing: 1px; }
.teaser .edit_post { letter-spacing: 1px; }
	.teaser .teaser_author a, .teaser a.teaser_comments, .teaser a.teaser_category, .teaser .edit_post a { text-transform: uppercase; letter-spacing: 1px; color: #888; border-bottom: 1px solid #eee; }
	.teaser .teaser_author a { font-style: normal; }
	.teaser .format_teaser a { text-decoration: underline; }
	.teaser .format_teaser a:hover { text-decoration: none; }

/*---:[ archive information block ]:---*/
#archive_info { border-style: solid; border-color: #ddd; }
	#archive_info p { text-transform: uppercase; letter-spacing: 2px; }

/*---:[ navigation links ]:---*/
.prev_next { text-transform: uppercase; letter-spacing: 2px; color: #666; border-style: solid; border-color: #ddd; clear: both; }
	.prev_next .next { text-align: right; }
	.prev_next .floated { float: left; }
	.prev_next a { text-decoration: none; }
	.prev_next a:hover { text-decoration: underline; }
	.post_nav a { text-transform: none; letter-spacing: normal; }
#comment_nav_2 { border-style: solid; border-color: #ddd; }

/*---:[ multimedia box ]:---*/
.image_box, .custom_box { border-style: solid; border-color: #ddd; }
	#image_box img { background: #fff; border-style: solid; border-color: #bbb; }

/*---:[ sidebar styles ]:---*/
.sidebar a:hover { text-decoration: underline; }
ul.sidebar_list { list-style: none; }
	li.widget { width: 100%; }
	li.centered { text-align: center; }
		li.widget p a { text-decoration: underline; }
		li.widget p a:hover { text-decoration: none; }
		li.widget ul { list-style: none; }
			li.widget ul li .num_comments { color: #111; }
		/*---:[ widget box styles ]:---*/
		li.widget .widget_box { background: #e3f0f2; border-style: solid; border-color: #addde6; }
		/*---:[ subscriptions widget ]:---*/
		/*.thesis_widget_subscriptions .sub_rss a { padding-left: 20px; background: url('lib/images/icon-rss.gif') 0 50% no-repeat; }
		.thesis_widget_subscriptions .sub_email a { padding-left: 20px; background: url('lib/images/icon-email.gif') 0 50% no-repeat; }*/
		/*---:[ google custom search ]:---*/
		li.thesis_widget_google_cse form input[type="text"] { width: 95%; }
		li.thesis_widget_google_cse form input[type="submit"] { font-weight: bold; color: #111; background: url('lib/images/submit-bg.gif'); border: 3px double #999; border-top-color: #ccc; border-left-color: #ccc; cursor: pointer; }
		li.thesis_widget_google_cse form input[type="submit"]:hover { color: #090; }
		/*---:[ calendar widget ]:---*/
		#calendar_wrap { width: 98%; padding: 0 1%; }
			#calendar_wrap a { font-weight: bold; }
			#calendar_wrap a:hover { background: #ddd; text-decoration: none; }
			table#wp-calendar { width: 98%; border-collapse: collapse; }
				table#wp-calendar caption { font-weight: normal; text-transform: uppercase; letter-spacing: 2px; background: #e5e5e5; }
				table#wp-calendar th { width: 14%; background: #f2f2f2; border-bottom: 1px solid #ddd; text-align: center; }
				table#wp-calendar td { width: 14%; color: #888; text-align: center; }
				table#wp-calendar td#next, table#wp-calendar td#prev { width: 45%; text-transform: uppercase; letter-spacing: 1px; }
				table#wp-calendar td#next { text-align: right; }
				table#wp-calendar td#prev { text-align: left; }

/*---:[ comment styles ]:---*/
	.comments_intro p { color: #666; }
		.comments_intro a { text-decoration: underline; }
		.comments_intro a:hover { text-decoration: none; }
		.comments_intro span { color: #111; line-height: 1em; }
		.comments_intro span.bracket { color: #ccc; }
dl#comment_list { border-top: 1px dotted #bbb; }
			dl#comment_list dt a:hover { text-decoration: underline; }
			dl#comment_list dt .comment_author { font-weight: bold; }
			.avatar img { float: right; }
			.comment_time, .edit_comment { color: #888; }
				.comment_time { white-space: nowrap; }
				.comment_time a, .edit_comment a { color: #888; }
				.comment_time a:hover, .edit_comment a:hover { color: #888; }
		.comment_num { float: right; }
			dl#comment_list .comment_num a { font-weight: bold; color: #aaa; }
			dl#comment_list .comment_num a:hover { color: #fff; background: #aaa; text-decoration: none; }
	dl#comment_list .bypostauthor { background: #e7f8fb; }
	dl#comment_list dd { border-bottom: 1px dotted #bbb; }
		dl#comment_list dd p.reply a { color: #888; text-transform: uppercase; letter-spacing: 1px; text-decoration: none; }
		dl#comment_list dd p.reply a:hover { text-decoration: underline; }
	dl#comment_list dl { border-top: 0; }
		dl#comment_list dl dt, dl#comment_list dl dd { background: none; }
		dl#comment_list dl dd { border-bottom: 0; }
		dl#comment_list dl .bypostauthor { background: none; }
		dl#comment_list dl dt, dl#comment_list dl dd .format_text { border-style: solid; border-color: #ddd; }
		dl#comment_list dl dt.bypostauthor, dl#comment_list dl dd.bypostauthor > .format_text { border-color: #bde0e6; }
		a.comment_link { color: #111; text-decoration: none; font-variant: small-caps; border-bottom: 1px solid #bbb; }
		a.comment_link:hover { color: #111; border-bottom-color: #111; }
	/*---:[ author comment and alternating comment colors ]:---*/
	/* dl#comment_list .even { background: #f5f5f5; }
	dl#comment_list .odd { background: #fff; } */
dl#trackback_list { border-top: 1px dotted #bbb; }
		dl#trackback_list dt a { color: #111; }
		dl#trackback_list dt a:hover { color: #111; text-decoration: underline; }
	dl#trackback_list dd { color: #888; }
	.comments_closed p { text-transform: uppercase; letter-spacing: 1px; color: #888; }

/*---:[ comment form styles ]:---*/
	#respond_intro p { color: #555; }
		#respond_intro p a { font-weight: bold; }
		#respond_intro p a:hover { text-decoration: underline; }
		#cancel-comment-reply-link { text-transform: uppercase; letter-spacing: 1px; color: #fff; background: #d00; border-style: solid; border-color: #ac0000; border-top-color: #fa5a5a; border-left-color: #fa5a5a; float: right; }
.login_alert { background: #f5f5f5; border: 1px solid #ddd; }
	.login_alert p { font-weight: bold; }
		.login_alert p a:hover { text-decoration: underline; }
.comment_moderated { font-weight: bold; }
#commentform { border-top: 1px dotted #bbb; }
	#commentform p { margin-bottom: 1em; }
		#commentform p a { text-decoration: underline; }
		#commentform p a:hover { text-decoration: none; }
		#commentform p .required { color: #d00; }
	#commentform span.allowed { display: block; color: #807e70; background: #f9f7e4; border-style: dotted; border-color: #bbb; }
		#commentform span.allowed span { display: block; }
		/* Support for the highly-recommended Subscribe to Comments Plugin */
		#commentform p.subscribe-to-comments label { font-size: 1em; }




/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
/* !!!!!!!! Change Nav hover colors here !!!!!!!! */
/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

.menu .right, .menu .right a:hover {float: right; color: #000000;}
.menu a:hover, .menu .current a:hover, .menu .current-parent a:hover { color: #ffffff; }

/* Home */
.menu .homenav a:hover { background-color: #000000; }
.menu .homenav { border-bottom: 3px solid #000000; }

/* Contests */
.menu .contestsnav a:hover { background-color: #cc0000;  }
.menu .contestsnav { border-bottom: 3px solid #cc0000; }

/* Videos */
.menu .vidnav a:hover { background-color: #177eab; }
.menu .vidnav { border-bottom: 3px solid #177eab; }

/* Apps */
.menu .appnav a:hover{background-color:#000000;}
.menu .appnav{border-bottom:3px solid #000000;}

/* News */
.menu .newsnav a:hover { background-color: #8ac300; }
.menu .newsnav { border-bottom: 3px solid #8ac300; }

.menu .rss a:hover { background-color: #ffffff; }
.menu .rss { border-bottom: 3px solid #fa9d39; }

.menu .current a:hover, .menu .current-parent a:hover { background-color: none; }
.menu li:hover, .menu li.current, .menu li.current-parent {background-color: #ffffff;}

.custom .menu .current, .custom .menu .current a,
.custom .menu .current-parent, .custom .menu .current-parent a { background-color: #000000; color: #ffffff; }
.contests .menu .current, .contests .menu .current a,
.contests .menu .current-parent, .contests .menu .current-parent a { background-color: #cc0000; color: #ffffff; }
.gps-videos .menu .current, .gps-videos .menu .current a,
.gps-videos .menu .current-parent, .gps-videos .menu .current-parent a { background-color: #177eab; color: #ffffff; }
.news .menu .current, .news .menu .current a,
.news .menu .current-parent, .news .menu .current-parent a { background-color: #8ac300; color: #ffffff; }

.about .menu .current, .about .menu .current a,
.about .menu .current-parent, .about .menu .current-parent a,
.contact .menu .current, .contact .menu .current a,
.contact .menu .current-parent, .contact .menu .current-parent a { background-color: #dddddd; color: #ffffff;}

.menu .aboutnav:hover, .menu .contactnav:hover,
.about .menu .current, .contact .menu .current { border-bottom: 3px solid #dddddd; color: #000000 !important; }

#commentform p .required {color: #777777;}
.contests #commentform p .required {color: #cc0000;}
.gps-videos #commentform p .required {color: #177eab;}
.news #commentform p .required {color: #8ac300;}

/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
/* !!!!!!!   Change Header colors here  !!!!!!!!! */
/* !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */

.home h1, .home h2, .home h3, .home h2 a:link { color: #000000; }   /* Grey */
.contests h1, .contests h2, .contests h3 { color: #cc0000; }                /* Red */
.gps-videos h1, .gps-videos h2, .gps-videos h3, .gps-videos h1 a, .gps-videos h2 a, .gps-videos h3 a { color: #177eab; }          /* Blue */
.news h1, .news h2, .news h3, .news h1 a, .news h2 a, .news h3 a { color: #8ac300; }       /* Green */

.contests blockquote { color: #cc0000; }
.gps-videos blockquote { color: #177eab; }
.news blockquote { color: #8ac300; }

.custom { background-color: #000000; }              /* Black */
.gps-videos { background-color: #177eab; }          /* Blue */

.about .menu .current a, .contact .menu .current a {color: #000000; }



/*---:[ footer styles ]:---*/
#footer a { border-bottom: 1px solid #ccc; }

/*---:[ self-clearing floats from Dan Cederholm ]:---*/
.menu:after, #content_box:after, #sidebars:after, .format_text:after, .teasers_box:after, .prev_next:after, ul.sidebar_list:after { content: "."; display: block; height: 0; clear: both; visibility: hidden; }

#content_box { background: url('http://test.gpsfortoday.com/wp-content/themes/thesis_16/lib/images/dot-ddd.gif') repeat-y 68.4em 0px;}

#footer {
  padding: 0;
  overflow: auto;
  text-align: left;
  font: Helvetica, sans-serif !important;
}

#footer ul, #footer li {
  list-style: none;
}

#footer li {
  padding: 5px 0;
  font: Helvetica, sans-serif;
}

#footer ul {
  padding-bottom: 10px;
}

.column1, .column2, .column3 {
  float: left;
  padding: 15px;
}

.column1 { width: 205px; padding: 0; }
.column2 { width: 438px; border-right: 1px solid #dddddd; border-left: 1px solid #dddddd; padding-left: 25px; }
.column3 { width: 241px; }

.column1 .copy { border-bottom: 1px solid #dddddd; padding: 15px 15px 15px 0; }
.column1 .important { padding: 15px 15px 15px 0; }